using System.Collections.Generic;
using Newtonsoft.Json;
using Alipay.AopSdk.Core.Domain;

namespace Alipay.AopSdk.Core.Response
{
	/// <summary>
	///     AlipayTradeRefundResponse.
	/// </summary>
	public class AlipayTradeRefundResponse : AopResponse
	{
		/// <summary>
		///     用户的登录id
		/// </summary>
		[JsonProperty("buyer_logon_id")]
		public string BuyerLogonId { get; set; }

		/// <summary>
		///     买家在支付宝的用户id
		/// </summary>
		[JsonProperty("buyer_user_id")]
		public string BuyerUserId { get; set; }

		/// <summary>
		///     本次退款是否发生了资金变化
		/// </summary>
		[JsonProperty("fund_change")]
		public string FundChange { get; set; }

		/// <summary>
		///     退款支付时间
		/// </summary>
		[JsonProperty("gmt_refund_pay")]
		public string GmtRefundPay { get; set; }

		/// <summary>
		///     买家支付宝用户号，该参数已废弃，请不要使用
		/// </summary>
		[JsonProperty("open_id")]
		public string OpenId { get; set; }

		/// <summary>
		///     商户订单号
		/// </summary>
		[JsonProperty("out_trade_no")]
		public string OutTradeNo { get; set; }

		/// <summary>
		///     退款使用的资金渠道
		/// </summary>
		[JsonProperty("refund_detail_item_list")]
		
		public List<TradeFundBill> RefundDetailItemList { get; set; }

		/// <summary>
		///     退款总金额
		/// </summary>
		[JsonProperty("refund_fee")]
		public string RefundFee { get; set; }

		/// <summary>
		///     本次商户实际退回金额  注：在签约收单产品时需勾选“返回资金明细”才会返回
		/// </summary>
		[JsonProperty("send_back_fee")]
		public string SendBackFee { get; set; }

		/// <summary>
		///     交易在支付时候的门店名称
		/// </summary>
		[JsonProperty("store_name")]
		public string StoreName { get; set; }

		/// <summary>
		///     2013112011001004330000121536
		/// </summary>
		[JsonProperty("trade_no")]
		public string TradeNo { get; set; }
	}
}